package org.brapi.test.BrAPITestServer.model.dto.geno;

public class VariantSetAvailableFormatWriteRequest {
	private String formatDbId;
	private String variantSetDbId;
	private String dataFormat;
	private String fileFormat;
	private String fileURL;
	private Boolean expandHomozygotes;
	private String sepPhased;
	private String sepUnphased;
	private String unknownString;

	public String getFormatDbId() {
		return formatDbId;
	}

	public void setFormatDbId(String formatDbId) {
		this.formatDbId = formatDbId;
	}

	public String getVariantSetDbId() {
		return variantSetDbId;
	}

	public void setVariantSetDbId(String variantSetDbId) {
		this.variantSetDbId = variantSetDbId;
	}

	public String getDataFormat() {
		return dataFormat;
	}

	public void setDataFormat(String dataFormat) {
		this.dataFormat = dataFormat;
	}

	public String getFileFormat() {
		return fileFormat;
	}

	public void setFileFormat(String fileFormat) {
		this.fileFormat = fileFormat;
	}

	public String getFileURL() {
		return fileURL;
	}

	public void setFileURL(String fileURL) {
		this.fileURL = fileURL;
	}

	public Boolean getExpandHomozygotes() {
		return expandHomozygotes;
	}

	public void setExpandHomozygotes(Boolean expandHomozygotes) {
		this.expandHomozygotes = expandHomozygotes;
	}

	public String getSepPhased() {
		return sepPhased;
	}

	public void setSepPhased(String sepPhased) {
		this.sepPhased = sepPhased;
	}

	public String getSepUnphased() {
		return sepUnphased;
	}

	public void setSepUnphased(String sepUnphased) {
		this.sepUnphased = sepUnphased;
	}

	public String getUnknownString() {
		return unknownString;
	}

	public void setUnknownString(String unknownString) {
		this.unknownString = unknownString;
	}
}
